# We don't want to use SCL since we are missing some dependencies 
# in SCL and we still support 1.8 for installer
%global scl_ruby /usr/bin/ruby

# set and uncomment all three to set alpha tag
#global alphatag RC1
#global dotalphatag .%{alphatag}
#global dashalphatag -%{alphatag}

Name:       fusor-installer
Epoch:      1
Version:    1.1.12
Release:    1%{?dotalphatag}%{?dist}
Summary:    Foreman-installer plugin that allows you to install Fusor
Group:      Applications/System
License:    GPLv3+ and ASL 2.0
URL:        http://theforeman.org
Source0:    %{name}-%{version}%{?dashalphatag}.tar.gz

BuildArch:  noarch

BuildRequires: asciidoc

Requires:   katello
Requires:   ntp
Requires:   rubygem-kafo >= 0.6.4
Requires:   git
Requires:   rubygem-ruby-ip
Requires:   iptables-services
Requires:   python

%description
This is a Foreman-Installer plugin that allows you to install and configure
the Fusor Foreman plugin

%prep
%setup -q -n %{name}-%{version}%{?dashalphatag}

%build
#replace shebangs for SCL
%if %{?scl:1}%{!?scl:0}
  sed -ri '1sX(/usr/bin/ruby|/usr/bin/env ruby)X%{scl_ruby}X' bin/fusor-setup
%endif

# convert manpages
a2x -d manpage -f manpage fusor-installer.8.asciidoc
a2x -d manpage -f manpage fusor-setup.8.asciidoc

%install
install -d -m0755 %{buildroot}%{_datadir}/fusor-installer
cp -R hooks modules %{buildroot}%{_datadir}/fusor-installer
install -d -m0755 %{buildroot}%{_sbindir}
cp bin/fusor-installer %{buildroot}%{_sbindir}/fusor-installer
cp bin/fusor-setup %{buildroot}%{_sbindir}/fusor-setup
%{__mkdir_p} %{buildroot}%{_libexecdir}/fusor-installer
cp bin/fusor-update-repos %{buildroot}%{_libexecdir}/fusor-installer/fusor-update-repos
cp bin/fusor-upgrade-qci %{buildroot}%{_libexecdir}/fusor-installer/fusor-upgrade-qci
install -d -m0755 %{buildroot}%{_sysconfdir}/fusor-installer/
cp config/fusor-scenario.template %{buildroot}%{_sysconfdir}/fusor-installer/fusor-scenario.template
cp config/fusor-installer.yaml %{buildroot}%{_sysconfdir}/fusor-installer/fusor-installer.yaml
cp config/fusor-installer.answers.yaml %{buildroot}%{_sysconfdir}/fusor-installer/fusor-installer.answers.yaml
# manpages
%{__mkdir_p} %{buildroot}%{_mandir}/man8
cp -a fusor-installer.8 %{buildroot}/%{_mandir}/man8/
cp -a fusor-setup.8 %{buildroot}/%{_mandir}/man8/

%files
%defattr(-,root,root,-)
%doc LICENSE
%{_datadir}/fusor-installer/hooks/lib/base_wizard.rb
%{_datadir}/fusor-installer/hooks/lib/provisioning_wizard.rb
%{_datadir}/fusor-installer/hooks/pre_validations/10-gather_and_set_fusor_values.rb
%{_datadir}/fusor-installer/modules/
%config %attr(600, root, root) %{_sysconfdir}/fusor-installer/fusor-scenario.template
%config %attr(600, root, root) %{_sysconfdir}/fusor-installer/fusor-installer.yaml
%config(noreplace) %attr(600, root, root) %{_sysconfdir}/fusor-installer/fusor-installer.answers.yaml
%{_sbindir}/fusor-installer
%{_sbindir}/fusor-setup
%{_libexecdir}/fusor-installer/fusor-update-repos
%{_libexecdir}/fusor-installer/fusor-upgrade-qci
%doc %{_mandir}/man8/fusor-installer.8*
%doc %{_mandir}/man8/fusor-setup.8*

%changelog
* Wed Feb 01 2017 Dylan Murray <dymurray@redhat.com> 1.1.12-1
- remove ssh_public_key option (jmontleo@redhat.com)

* Mon Jan 23 2017 Dylan Murray <dymurray@redhat.com> 1.1.11-1
- BZ1414990 Fix registration case (jmontleo@redhat.com)

* Fri Jan 20 2017 Dylan Murray <dymurray@redhat.com> 1.1.10-1
- update the if[] parameter check with double brackets (johnkim76@gmail.com)

* Mon Dec 12 2016 Jason Montleon <jmontleo@redhat.com> 1.1.9-1
- make hostname errors less ugly (jmontleo@redhat.com)

* Tue Dec 06 2016 Jason Montleon <jmontleo@redhat.com> 1.1.8-1
- restrict overall domain length to 48 characters (jmontleo@redhat.com)

* Mon Dec 05 2016 Jason Montleon <jmontleo@redhat.com> 1.1.7-1
- Do no allow using reserved IP's (jmontleo@redhat.com)

* Fri Dec 02 2016 Jason Montleon <jmontleo@redhat.com> 1.1.6-1
- we should match 0+, not 0-1 sub-domains (jmontleo@redhat.com)

* Thu Dec 01 2016 Jason Montleon <jmontleo@redhat.com> 1.1.5-1
- add domain name validation (jmontleo@redhat.com)

* Mon Nov 21 2016 John Matthews <jwmatthews@gmail.com> 1.1.4-1
- 1387765 - change log level filter from info=>debug (#100)
  (derekwhatley@gmail.com)
- support QCI upgrade to v1.1 (johnkim76@gmail.com)

* Mon Oct 24 2016 jkim <johnkim76@gmail.com> 1.1.3-1
- Removed ansible-ocp and ansible-ovirt dependency. (jinmaster923@gmail.com)

* Thu Oct 06 2016 David Gao <jinmaster923@gmail.com> 1.1.2-1
- Added dependency to ansible-ocp (jinmaster923@gmail.com)
- replace ovirt-puppet dependency with ansible-ovirt
  (fabianvf@users.noreply.github.com)
- 1359904 - Only run networking setup if configure_networking is enabled.
  (jinmaster923@gmail.com)

* Thu Sep 22 2016 Jason Montleon <jmontleo@redhat.com> 1.1.1-1
- update releaser for QCI-1.1 (jmontleo@redhat.com)
- 1295816 - update to exit quietly from 'ctrl-c' at NIC selection (#93)
  (jkim@redhat.com)
- Bump version (jesusr@redhat.com)

* Tue Aug 09 2016 Derek Whatley <dwhatley@redhat.com> 0.0.15-1
- add 'iptables-services' dependency

* Thu Apr 09 2015 John Matthews <jwmatthews@gmail.com> 0.0.14-1
- answers: add gutterball plugin (bbuckingham@redhat.com)

* Tue Mar 31 2015 John Matthews <jwmatthews@gmail.com> 0.0.13-1
- seeding: fix the hostgroup seeding for 'Fusor Base' (bbuckingham@redhat.com)

* Tue Mar 31 2015 John Matthews <jwmatthews@gmail.com> 0.0.12-1
- Merge pull request #6 from bbuckingham/seeding_updates (jwmatthews@gmail.com)
- seeding: updates based on fusor-server updates for hostgroups
  (bbuckingham@redhat.com)

* Thu Mar 19 2015 John Matthews <jwmatthews@gmail.com> 0.0.11-1
- Updates from testing with Sat 6.1 3.11.1 compose  - Add stanza for gutterball
  config  - Hard code parameters for kernel/initrd of foreman plugin discovery
  since puppet params have been deleted  - Remove explicit enable of
  foreman_plugin_discovery (jwmatthews@gmail.com)

* Tue Mar 10 2015 John Matthews <jwmatthews@gmail.com> 0.0.10-1
- Comment out blocks in ks_snippets which break provisioning. Syntax issues
  with usage of:   @host.network_query   def custom_deployment_repositories
  (jwmatthews@gmail.com)

* Tue Mar 03 2015 John Matthews <jwmatthews@gmail.com> 0.0.9-1
- Remove extra https:// in PXE Template for specifying foreman URL
  (jwmatthews@gmail.com)

* Tue Mar 03 2015 John Matthews <jwmatthews@gmail.com> 0.0.8-1
- Updates for discovery to work with foreman-discovery-image-2.1.0
  (jwmatthews@gmail.com)
- spec - remove Requires on foreman_api (bbuckingham@redhat.com)
- spec - removing hack that required puppet 3.7.3 (bbuckingham@redhat.com)
- seeding: update use foremao's content management (bbuckingham@redhat.com)
- seeding: update to use apipie bindings vs foreman api
  (bbuckingham@redhat.com)

* Fri Feb 20 2015 John Matthews <jwmatthews@gmail.com> 0.0.7-1
- Disable the download of discovery images. (jwmatthews@gmail.com)

* Thu Feb 12 2015 John Matthews <jwmatthews@gmail.com> 0.0.6-1
- Fix for when /etc/puppet/environments/production/ is missing
  (jwmatthews@gmail.com)

* Thu Feb 12 2015 John Matthews <jwmatthews@gmail.com> 0.0.5-1
- Adding requires for ovirt-puppet (jwmatthews@gmail.com)

* Thu Feb 12 2015 John Matthews <jwmatthews@gmail.com> 0.0.4-1
- Removed requirement of puppet 3.7.3 (jwmatthews@gmail.com)
- foreman discovery: updates to support discovery (bbuckingham@redhat.com)
- ovirt - initial seeding to support ovirt (bbuckingham@redhat.com)
- remove partitioning table seed that was specific to openstack with staypuft
  (bbuckingham@redhat.com)

* Tue Feb 03 2015 John Matthews <jwmatthews@gmail.com> 0.0.3-1
- Adding a HACK workaround to force puppet to be 3.7.3 Needed to address a
  known issue with puppet 3.7.4 (jwmatthews@gmail.com)

* Mon Jan 19 2015 John Matthews <jwmatthews@gmail.com> 0.0.2-1
- new package built with tito



